Package org.eclipse.lemminx.settings

## Class AllXMLSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.AllXMLSettings

    public class AllXMLSettings
    extends Object

Represents all settings under the 'xml' key { 'xml': {...} }

### Constructor Summary

Constructors
`AllXMLSettings()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Object` `getAllXMLSettings​(Object initializationOptionsSettings)`
`Object` `getXml()`
`void` `setXml​(Object xml)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AllXMLSettings

    public AllXMLSettings()

### Method Detail

#### getXml

    public Object getXml()

Returns:
  the xml

#### setXml

    public void setXml​(Object xml)

Parameters:
  `xml` - the xml to set

#### getAllXMLSettings

    public static Object getAllXMLSettings​(Object initializationOptionsSettings)